Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ultrasearch.crawler
Interface UrlCandidate

public interface UrlCandidate

UrlCandidate is an interface for any url rewriter to read the value of a pending url string and store the rewrite result.

Method Summary
`java.lang.String` | `getAccessUrl()` Get access url
`java.lang.String` | `getCandidateUrl()` Get target url string for rewrite checking
`java.lang.String` | `getDisplayUrl()` Get display url
`boolean` | `isDiscard()` check if the candidate url should be ignore and discard
`void` | `setAccessUrl(java.lang.String url)` Set access url; null if no access url
`void` | `setDiscardFlag(boolean flag)` Set the discard flag for whether to ignore the candidate url or not
`void` | `setDisplayUrl(java.lang.String url)` Set display url; can not be null

Method Detail

### getCandidateUrl

    public java.lang.String getCandidateUrl()

  Get target url string for rewrite checking
  Returns:
    the candidate url string

### setDisplayUrl

    public void setDisplayUrl(java.lang.String url)

  Set display url; can not be null
  Parameters:
    `url` - the display url string

### getDisplayUrl

    public java.lang.String getDisplayUrl()

  Get display url
  Returns:
    the display url string

### setAccessUrl

    public void setAccessUrl(java.lang.String url)

  Set access url; null if no access url
  Parameters:
    `url` - the access url string

### getAccessUrl

    public java.lang.String getAccessUrl()

  Get access url
  Returns:
    the access url string; null if there is no access url

### setDiscardFlag

    public void setDiscardFlag(boolean flag)

  Set the discard flag for whether to ignore the candidate url or not
  Parameters:
    `flag` - the boolean flag value

### isDiscard

    public boolean isDiscard()

  check if the candidate url should be ignore and discard
  Returns:
    discard flag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003,2005, Oracle. All Rights Reserved.